@font-face{
    font-family: vazir matn;
    src: url(../fonts/Vazirmatn-Regular.woff2);
}
@font-face{
    font-family: vazir matn;
    src: url(../fonts/Vazirmatn-Bold.woff2);
    font-weight: bold;
}
*{
    box-sizing: border-box;
}
:root{
    --color1: #0074DD;
    --color2: #9BCCFD;
    --color3: #36D6E7;
    --color4: #81599F;
    --color5: #FFFFFF;
    --color6: #000000;
    --color7: #c0c0c0;
}
a{ 
    text-decoration: none !important;
}
html,body{

    scroll-behavior: smooth;
}
body{
    font-family: vazir matn !important;
     background-attachment: fixed;
     background-color: #E4E4E1;
     background-color: #E4E4E1;
     background-image: radial-gradient(at top center, rgba(255,255,255,0.03) 0%, rgba(0,0,0,0.03) 100%), linear-gradient(to top, rgba(255,255,255,0.1) 0%, rgba(143,152,157,0.60) 100%);
         background-blend-mode: normal, multiply;
}
p{
    line-height: 1.6rem;
    text-align: justify;
}
html{
    font-size: 16px;
}
header{
    margin-block-start:65px;
}
h1{
    /* text-shadow:  3px 3px 5px var(--color4); */
    text-align: center; 
    /* color: var(--color1); */
    /* border:var(--color6) 5px solid;  */
    border-radius: 5px 5px 0px 0px; 
    /* background-color: var(--color6); */
}
#footer{
    direction: ltr; 
    letter-spacing: 10px; 
    text-align: center;
}
#photo{
    box-shadow: 10px 5px 10px var(--color3);
}

#summary{
    text-shadow: 2px 2px 0px var(--color2); 
    border: 1px solid var(--color6);
    border-radius: 10px;
    background-color: var(--color3);
    display: inline;
    padding: 5px 5px;
}
#video{
    box-shadow: 2px 2px 10px var(--color3);
}

.top{
    width: 100px;
    aspect-ratio: 1;
    margin: 0 auto;
     background-image: url(../images/pppp.png);
    position: fixed;
    right: -13px;
    bottom: 10px;
}
.top:hover{
    background-position: top right;
} 

#search:hover{
    background-position: -760px 0px;
}


/* website structure */
main{
    display: grid;
    grid-template-columns: 200px auto;
    grid-template-rows: auto auto auto;
    grid-template-areas: 
    'header header'
    'aside article'
    'footer footer'
    ;
    padding: 10px;
    gap: 10px;
    border: 1px solid var(--color6);
    width: 950px;
    min-height: 1000px;
    margin: 0 auto;
    border-radius: 10px;
}
header,aside,article,footer{
    border-radius: 10px;
    background-color: var(--color5);
    padding: 10px;
}
header{
    grid-area: header;
    border: 1px solid var(--color6);
    min-height: 150px;
    padding: 10px;
}
aside{
    grid-area: aside;
    border: 1px solid var(--color6);
    padding: 10px;
    
}
article{
    grid-area: article;
    /* border: 1px solid var(--color6); */
    min-height: 710px;
    padding: 10px;
}
footer{
    /* border: 1px solid var(--color6); */
    grid-area: footer;
    min-height: 100px;
    padding: 15px;
}
#ads{
    position: fixed;
    left: 0px;
    bottom: 0px;
}
#main_menu{
    list-style-type: none;
    margin: 0px; 
    padding: 0px;
    display: none;
}
#main_menu li{
    margin: 2px;
}
#main_menu li a{
    color: var(--color1);
    width: 100%;
    height: 100%;
    display: block;
    padding: 8px;
    background-color:var(--color2);
    border-right: 5px solid var(--color4);
    border-radius: 5px;
}
#main_menu li a:hover{
    background-color: var(--color3);
    color:var(--color4);
}
/* #page{ */
    
/* } */
ol{
    margin: 0px; 
    padding: 0px;
}

ol li{
    /* border: 1px solid var(--color6); */
    border-radius: 5px 5px 0px 0px;
    margin: 5px;
    padding: 6px 10px;
    /* border-bottom: 2px solid var(--color4); */
    list-style-type: none;
    display:list-item;
    /* background-color: var(--color2); */
    /* color: var(--color1); */
}
/* ol li:hover{ */
    /* background-color: var(--color3); */
    /* color:var(--color4); */
/* } */

#gallery{
    text-align: center;
}
#gallery img{
    width: 95;
    aspect-ratio: 1;
    transition: 1s;
    object-fit: cover;
    border-radius: 20%;
    margin: 5px;
    border: 3px solid var(--color4);
    box-shadow: 0px 0px 5px var(--color4);
}
#gallery img:hover{
    transform: scale(1.5) rotate(360deg);
}



@keyframes logoplay{
    from{
        opacity: 0;
        transform: translate(-300px);
    }
    to{
        opacity: 1;
        transform: translate(0px);
    }
}
#logo{
    animation: logoplay 2.5s;
}

.fff{
    list-style-type: none;
    display: inline;
    padding: 5px 5px;
}
li{
    white-space: nowrap;
}



/* Responsive Desing */
@media screen and (max-width: 1024px)
{
    main{
        width: 100%;
    }
    nav{
        display: none;
    }
    #main_menu{
        display: block;
    }
}
@media screen and (max-width: 500px)

{

    header{
        margin-block-start: 100px;
    }
    main{
        grid-template-columns: auto;
        grid-template-areas: 
        'header'
        'aside'
        'article'
        'footer'
        ;
    }
}


